package com.lanyuanxiaoyao.service.queue.controller;

import com.lanyuanxiaoyao.service.configuration.entity.queue.QueueItem;
import java.util.Enumeration;
import java.util.List;

/**
 * 队列通用操作
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-07
 */
public interface QueueOperator {
    Enumeration<String> names();

    List<QueueItem<?>> all(String name);
}
